[llvm-commits] [polly] r141275 - in /polly/trunk: utils/checkout_cloog.sh www/get_started.html

Tobias Grosser grosser at fim.uni-passau.de
Wed Oct 5 23:53:21 PDT 2011


Author: grosser
Date: Thu Oct  6 01:53:17 2011
New Revision: 141275

URL: http://llvm.org/viewvc/llvm-project?rev=141275&view=rev
Log:
Address Sebastians comments

This also adds some other cleanups I performed on my way.

Modified:
    polly/trunk/utils/checkout_cloog.sh
    polly/trunk/www/get_started.html

Modified: polly/trunk/utils/checkout_cloog.sh
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/utils/checkout_cloog.sh?rev=141275&r1=141274&r2=141275&view=diff
==============================================================================
--- polly/trunk/utils/checkout_cloog.sh (original)
+++ polly/trunk/utils/checkout_cloog.sh Thu Oct  6 01:53:17 2011
@@ -1,14 +1,17 @@
 #!/bin/sh
 
-cloog_hash="0c252c88946b27b7b61a1a8d8fd7f94d2461dbfd"
-isl_hash="56b7d238929980e62218525b4b3be121af386edf"
+CLOOG_HASH="0c252c88946b27b7b61a1a8d8fd7f94d2461dbfd"
+ISL_HASH="56b7d238929980e62218525b4b3be121af386edf"
+
+PWD=`pwd`
 
 check_command_line() {
-  if [ "${1}x" = "x" ] || [ "${2}x" != "x" ]
+  if [ $# -eq 1 ]
   then
-      echo "Usage: " ${0} '<Directory to checkout CLooG>'
-  else
     CLOOG_DIR="${1}"
+  else
+      echo "Usage: " ${0} '<Directory to checkout CLooG>'
+      exit 1
   fi
 }
 
@@ -27,15 +30,14 @@
     exit 1
   fi
 
+  # Make it absolute
+  cd ${CLOOG_DIR}
+  CLOOG_DIR=`pwd`
+
   if ! [ -e "${CLOOG_DIR}/.git" ]
   then
-    IS_GIT=0
     echo ":: No git checkout found"
-    if [ `ls -A ${CLOOG_DIR}` ]
-    then
-      echo but directory "'${CLOOG_DIR}'" contains files
-      exit 1
-    fi
+    IS_GIT=0
   else
     echo ":: Existing git repo found"
     IS_GIT=1
@@ -58,27 +60,31 @@
 check_command_line $@
 check_cloog_directory
 
-cd ${CLOOG_DIR}
-
-
-
+ISL_DIR=${CLOOG_DIR}/isl
 
 if [ ${IS_GIT} -eq 0 ]
 then
   echo :: Performing initial checkout
-  run git clone http://repo.or.cz/r/cloog.git .
-  run git clone http://repo.or.cz/r/isl.git isl
+  run git clone http://repo.or.cz/r/cloog.git ${CLOOG_DIR}
+  run git clone http://repo.or.cz/r/isl.git ${ISL_DIR}
 fi
 
 echo :: Fetch versions required by Polly
+run cd ${CLOOG_DIR}
 run git remote update
-run git reset --hard "${CLOOG_HASH}"
 run cd isl
 run git remote update
+
+echo :: Setting CLooG version
+run cd ${CLOOG_DIR}
+run git reset --hard "${CLOOG_HASH}"
+
+echo :: Setting isl version
+run cd ${ISL_DIR}
 run git reset --hard "${ISL_HASH}"
-run cd ..
 
 echo :: Generating configure
+run cd ${CLOOG_DIR}
 run ./autogen.sh
 
 echo :: If you install cloog/isl the first time run "'./configure'" followed by

Modified: polly/trunk/www/get_started.html
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/www/get_started.html?rev=141275&r1=141274&r2=141275&view=diff
==============================================================================
--- polly/trunk/www/get_started.html (original)
+++ polly/trunk/www/get_started.html Thu Oct  6 01:53:17 2011
@@ -17,10 +17,10 @@
 
 <h2 id="source"> Get the code </h2>
 
-The Polly source code is available in the LLVM SVN repository as well as in an
-official a git mirror. It is added to the <em>tools</em>
+The Polly source code is available in the LLVM SVN repository as well as through
+an official git mirror. It is added to the <em>tools</em>
 directory of the llvm sources.
-<b>Polly and LLVM need to be checked out at the time. Checkouts
+<b>Polly and LLVM need to be checked out at the same time. Checkouts
    from different dates may not work!</b>
 <h4>Set the directory layout:</h4>
 <pre>
@@ -52,11 +52,9 @@
 
 <h3> CLooG/isl</h3>
 
-Polly is tested and works with <a href="http://www.cloog.org">CLooG</a> as of
-commit 0c252c88946b27b7b61a1a8d8fd7f94d2461dbfd
-and <a href="http://repo.or.cz/w/isl.git">isl</a> as of
-commit 56b7d238929980e62218525b4b3be121af386edf. To get and install the
-relevant cloog version use the following commands:
+Polly is tested with a fixed version of <a href="http://www.cloog.org">CLooG</a>
+and isl. To obtain the source code of CLooG (including isl) use
+checkout_cloog.sh as available in ${POLLY_SRC}/utils/checkout_cloog.sh.
 
 <h4>Set the directory layout:</h4>
 <pre>





More information about the llvm-commits mailing list